Search transactions for a specific customer using criteria

This endpoint provides transactional-based searches for a specific customer. Customer transactions can be filtered by transaction ID and status, and highly selective queries can be generated using the generic entity filtering.
Example:
GET /customers/001/transactions/-/search?id.in=trx01,trx02,trx03&status=pending

All inline examples within this documentation uses simple matching.

This endpoint has a 8k request URI limit, this corresponds to approximately 5000 transaction IDs which are less than 15 character in length.
Higher volumes of filtering are possible using the POST Method.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
string

The target transaction ID of the specified customer. This example uses a simple match, but complex filtering is possible using generic entity filter parameters

string
enum

Transactions can be filtered by status. This example uses a simple match but complex filtering is possible using generic entity filter parameters

Allowed:
integer
Defaults to 0

Offsets the starting number of transactions to return. This is used in pagination in conjunction with the limit query.

integer
Defaults to 100

Limits the number of transactions returned in one response. Other values are accessible by pagination made accessible via the offset.

Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json